We welcome patches from everyone. Please submit them as pull requests on github.
Here are few guidelines to take into account.

* If you are submitting a patch that fixes a specific bug, please link the github issue if there is one. If there is no reported bug, please give enough information to reproduce it.

* If you are thinking about a new feature, it is a good idea to open an issue about it first (before coding) to discuss it, see whether it is a good idea, and what is the best way to implement it.

* If you are submitting a code change that you think provides an improvement, we would expect to see a test case that would demonstrate that your patch improves the situation (i.e. performance/accuracy etc).

* In general we expect all the newly added code should have a test associated with it. And we aim to not decrease the testing code coverage fraction (which currently stands at around 91%). To see how the testing is done see [TESTING.md](TESTING.md).



